<?php

/**
 * @param \Ramsalt\OAuth2\Client\Provider\ConnectId $provider
 * @param $order_id
 *
 * @return \ConnectID\Api\DataModel\OrderStatus|\ConnectID\Api\DataModel\OrderStatus[]
 */
function _connectid_client_api_service__order_status(\Ramsalt\OAuth2\Client\Provider\ConnectId $provider, $order_id) {
  return $provider->getClientApiOrderStatus($order_id);
}

/**
 * @param \Ramsalt\OAuth2\Client\Provider\ConnectId $provider
 * @param $product_id
 *
 * @return \ConnectID\Api\DataModel\CouponTypeList
 */
function _connectid_client_api_service__coupons(\Ramsalt\OAuth2\Client\Provider\ConnectId $provider, $product_id) {
  $product = new \ConnectID\Api\DataModel\ProductType();
  $product->withProduct($product_id);

  return $provider->getClientApiCoupons($product);
}
